> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Global Reviewers

> Set the list of globally configured reviewers.



## OpenAPI

````yaml /api-reference/openapi.json put /api/settings/reviewers
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/settings/reviewers:
    put:
      tags:
        - settings
      summary: Set Global Reviewers
      description: Set the list of globally configured reviewers.
      operationId: set_global_reviewers_api_settings_reviewers_put
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewerListUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewerListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReviewerListUpdate:
      properties:
        reviewer_ids:
          items:
            type: integer
          type: array
          title: Reviewer Ids
      type: object
      required:
        - reviewer_ids
      title: ReviewerListUpdate
    ReviewerListResponse:
      properties:
        reviewers:
          items:
            $ref: '#/components/schemas/UserSummary'
          type: array
          title: Reviewers
      type: object
      required:
        - reviewers
      title: ReviewerListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserSummary:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          title: Email
        roles:
          items:
            type: string
          type: array
          title: Roles
          default: []
      type: object
      required:
        - id
        - email
      title: UserSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````